Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Drehen oder spiegeln von Texten

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Drehen oder spiegeln von Texten (773 mal gelesen)
ohrwurm2004
Mitglied
techn. Zeichner


Sehen Sie sich das Profil von ohrwurm2004 an!   Senden Sie eine Private Message an ohrwurm2004  Schreiben Sie einen Gästebucheintrag für ohrwurm2004

Beiträge: 17
Registriert: 12.05.2006

AutoCad LT 2008

erstellt am: 11. Okt. 2007 12:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

UPS, habe versehentlich gelöscht.
Es ging darum, dass ich eine Zeichnung um 180° drehen will, und dass die Texte eben nicht gedreht werden, und am gleichen Ort wieder platziert werden.
Bernd's Hilfe war O.K.
Danke.

[Diese Nachricht wurde von ohrwurm2004 am 11. Okt. 2007 editiert.]

[Diese Nachricht wurde von ohrwurm2004 am 11. Okt. 2007 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kramer24
Ehrenmitglied V.I.P. h.c.
Architekt


Sehen Sie sich das Profil von Kramer24 an!   Senden Sie eine Private Message an Kramer24  Schreiben Sie einen Gästebucheintrag für Kramer24

Beiträge: 5803
Registriert: 09.11.2001

erstellt am: 11. Okt. 2007 12:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ohrwurm2004 10 Unities + Antwort hilfreich

Uwe, du kannst doch die Texte im Eigenschaftsfenster um den Einfügepunkt zurückdrehen. Reicht das nicht aus?

Lothar

------------------
From Autodusk Till Dawn

[Diese Nachricht wurde von Kramer24 am 11. Okt. 2007 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bernd P
Ehrenmitglied V.I.P. h.c.
cook-general



Sehen Sie sich das Profil von Bernd P an!   Senden Sie eine Private Message an Bernd P  Schreiben Sie einen Gästebucheintrag für Bernd P

Beiträge: 3098
Registriert: 07.06.2001

AMD A8-3870, W10-64bit, 16GB RAM, HP DJ T2300mfp, Maus:G700s, Sub:Infrastructure Design Suite, Excel 2013,

erstellt am: 11. Okt. 2007 13:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ohrwurm2004 10 Unities + Antwort hilfreich

Wenns net mehr sein soll

2 mal spiegeln (1x horizontal und 1x vertikal), dass ist das gleiche wie (drehen im Bezug auf Texte da hier MIRRTEXT greift)

Man könnte hier ja die Texte so drehen und alles Andere (wo es Probleme geben könnte) normal drehen.

------------------
"Warum Einfach es geht auch kompliziert". Schöne Grüsse aus der Steiermark  Bernd P.
<----- Bitte Systeminfo eintragen, warum siehst du hier.

[Diese Nachricht wurde von Bernd P am 11. Okt. 2007 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ohrwurm2004
Mitglied
techn. Zeichner


Sehen Sie sich das Profil von ohrwurm2004 an!   Senden Sie eine Private Message an ohrwurm2004  Schreiben Sie einen Gästebucheintrag für ohrwurm2004

Beiträge: 17
Registriert: 12.05.2006

AutoCad LT 2008

erstellt am: 11. Okt. 2007 13:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Lothar,
schönen Dank,
ich habe leider vergessen zu erwähnen, dass ich nicht jeden Text einzeln bearbeiten will.
Ansonsonsten würde es mit deinem Vorschlag glaube ich klappen.
Trotzdem Danke schön.
Gruß Uwe

------------------
Uwe

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ohrwurm2004
Mitglied
techn. Zeichner


Sehen Sie sich das Profil von ohrwurm2004 an!   Senden Sie eine Private Message an ohrwurm2004  Schreiben Sie einen Gästebucheintrag für ohrwurm2004

Beiträge: 17
Registriert: 12.05.2006

AutoCad LT 2008

erstellt am: 11. Okt. 2007 13:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Bernd P.
danke für deine Antwort,
habe leider vergessen zu erwähnen, dass ich alle Texte auf einmal drehen will.
Habe es mit dem zweimal spiegeln versucht. Klappt aber nicht.
Trotzdem danke schön.
Gruß Uwe

------------------
Uwe

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

charlieBV
Ehrenmitglied V.I.P. h.c.
Bauzeichnerin



Sehen Sie sich das Profil von charlieBV an!   Senden Sie eine Private Message an charlieBV  Schreiben Sie einen Gästebucheintrag für charlieBV

Beiträge: 9295
Registriert: 28.08.2003

erstellt am: 11. Okt. 2007 13:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ohrwurm2004 10 Unities + Antwort hilfreich

Du markierst alle Texte mit ähnliche Auswählen (ich hoffe, das gibts auch im reinen acad) und gehst dann in die Eigenschaften. Dort unter Winkel dann z.b. von 45 auf 0 stellen.
Nur mit einem mal bekommst du es auf die Weise nicht hin. Aber ich meine es gab hier schon mal ein Lisp, das das macht.

------------------
Gruß Yvonne
Inoffizielle ADT-Help-Site

Bietet dir jemand eine Lösung an, dann freue dich und sei dankbar - es gibt Leute, die Probleme haben für die es keine Lösungen gibt.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cad4fun
Ehrenmitglied



Sehen Sie sich das Profil von cad4fun an!   Senden Sie eine Private Message an cad4fun  Schreiben Sie einen Gästebucheintrag für cad4fun

Beiträge: 1838
Registriert: 06.12.2004

privat ACAD 2013 und 2017 deutsch, Windows 7 64Bit
HP Elite 7500 Series MT,Intel Cote i5-3470 CPU 3,20Ghz,16GB RAM

erstellt am: 11. Okt. 2007 14:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ohrwurm2004 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von ohrwurm2004:

Habe es mit dem zweimal spiegeln versucht. Klappt aber nicht.
Trotzdem danke schön.

Was klappt nicht? Stell doch mal einen Ausschnitt vorher und nachher hier rein. Und noch einen Ausschnitt vom gewünschten Ergebnis.
Ich finde die Idee von Bernd super und einwandfrei funktionierend!  Hat auch den Vorteil, dass mehrzeilige Texte (keine Mtexte) sauber kommen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

charlieBV
Ehrenmitglied V.I.P. h.c.
Bauzeichnerin



Sehen Sie sich das Profil von charlieBV an!   Senden Sie eine Private Message an charlieBV  Schreiben Sie einen Gästebucheintrag für charlieBV

Beiträge: 9295
Registriert: 28.08.2003

erstellt am: 11. Okt. 2007 14:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ohrwurm2004 10 Unities + Antwort hilfreich

Ok, ähnliche Auswählen gibts nicht, aber über Schnellauswahl oder selsim.lsp sollte es gehen. (Danke Cadzia)

------------------
Gruß Yvonne
Inoffizielle ADT-Help-Site

Bietet dir jemand eine Lösung an, dann freue dich und sei dankbar - es gibt Leute, die Probleme haben für die es keine Lösungen gibt.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

gmk
Mitglied
Dipl.-Ing.(FH) Vermessung


Sehen Sie sich das Profil von gmk an!   Senden Sie eine Private Message an gmk  Schreiben Sie einen Gästebucheintrag für gmk

Beiträge: 643
Registriert: 23.10.2002

Autocad 2004, WS CadCompass, Normica V2000, WinXP Prof., AMD Athlon 64 X2, 2GB, NVIDIA GeForce 7600GS, HP1055CM

erstellt am: 11. Okt. 2007 15:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ohrwurm2004 10 Unities + Antwort hilfreich

Servus!

Das dreht dir die Texte (und Mtexte) um PI.
Vor dem Drehen der Zeichnung evtl. die Texte mit _justifytext auf "MZ" umstellen, dann bleibt auch die Lage gleich.


(DEFUN C:td (/
i
aws
ele
)

(SETQ i 0)
(IF (SETQ aws (SSGET  '((-4 . "<OR") (0 . "TEXT") (0 . "MTEXT") (-4 . "OR>"))))
  (REPEAT (SSLENGTH aws)
    (SETQ ele (ENTGET (SSNAME aws i)))
    (SETQ ele (SUBST (CONS 50 (+ (CDR (ASSOC 50 ele)) PI)) (ASSOC 50 ele) ele))
    (ENTMOD ele)  
    (SETQ i (1+ i))
  ) 
)
)


Ciao Georg

------------------
http://www.xx-tausend.info

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ohrwurm2004
Mitglied
techn. Zeichner


Sehen Sie sich das Profil von ohrwurm2004 an!   Senden Sie eine Private Message an ohrwurm2004  Schreiben Sie einen Gästebucheintrag für ohrwurm2004

Beiträge: 17
Registriert: 12.05.2006

AutoCad LT 2008

erstellt am: 11. Okt. 2007 15:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Bernd,
ich bin es noch einmal.
Es hat geklappt. Habe vorhin wohl irgend eine verkehrte Eingabe gemacht.
Also, echt super. DANKE.
Gruß Uwe

------------------
Uwe

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ohrwurm2004
Mitglied
techn. Zeichner


Sehen Sie sich das Profil von ohrwurm2004 an!   Senden Sie eine Private Message an ohrwurm2004  Schreiben Sie einen Gästebucheintrag für ohrwurm2004

Beiträge: 17
Registriert: 12.05.2006

AutoCad LT 2008

erstellt am: 11. Okt. 2007 15:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Yvonne,
vielen Dank für die Hilfe.
Aber die Antwort von Bernd war perfekt.
Hat geklappt.
Nochmals DANKE.
Gruß Uwe

------------------
Uwe

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

gmk
Mitglied
Dipl.-Ing.(FH) Vermessung


Sehen Sie sich das Profil von gmk an!   Senden Sie eine Private Message an gmk  Schreiben Sie einen Gästebucheintrag für gmk

Beiträge: 643
Registriert: 23.10.2002

Autocad 2004, WS CadCompass, Normica V2000, WinXP Prof., AMD Athlon 64 X2, 2GB, NVIDIA GeForce 7600GS, HP1055CM

erstellt am: 11. Okt. 2007 15:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ohrwurm2004 10 Unities + Antwort hilfreich

hab' grad gesehen dass du LT hast, dann geht's mit lisp leider nicht :-(

Ciao Georg

------------------
http://www.xx-tausend.info

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ohrwurm2004
Mitglied
techn. Zeichner


Sehen Sie sich das Profil von ohrwurm2004 an!   Senden Sie eine Private Message an ohrwurm2004  Schreiben Sie einen Gästebucheintrag für ohrwurm2004

Beiträge: 17
Registriert: 12.05.2006

AutoCad LT 2008

erstellt am: 11. Okt. 2007 15:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
habe vorhin wohl etwas falsch gemacht.
Hat mit Bernd's Vorschlag geklappt.
Trotzdem, DANKE.
Gruß Uwe

------------------
Uwe

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



CAD Fachkraft (w/m/d)

Mit rund 20.000 engagierten Spezialisten für das Management und den Betrieb von Immobilien und Liegenschaften bietet Apleona das komplette Spektrum an Immobiliendienstleistungen als einer der führenden deutschen Dienstleister für integriertes Facility Management. National wie international bieten wir unseren Kunden innovative und leistungsstarke Lösungen. Schlüssel für unseren Erfolg sind das Engagement und Know-how unserer Mitarbeiter....

Anzeige ansehenTechnischer Zeichner, Bauzeichner
ohrwurm2004
Mitglied
techn. Zeichner


Sehen Sie sich das Profil von ohrwurm2004 an!   Senden Sie eine Private Message an ohrwurm2004  Schreiben Sie einen Gästebucheintrag für ohrwurm2004

Beiträge: 17
Registriert: 12.05.2006

AutoCad LT 2008

erstellt am: 11. Okt. 2007 15:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Georg,
Danke, aber Bernd hat mir helfen können.
Gruß Uwe

------------------
Uwe

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz